Subject: Bug#3902: base disks' network configuration oddities

From: Ian Jackson <[email-masked]>
Date: Wed, 24 Jul 96 02:47 BST

Package: base
Version: 1996_6_11

I installed a new system from the base disks.  The system is connected
to the net via SLIP, so I gave all of the appropriate nameserver &c
answers, and then said `no' to ethernet.

This generated rather an odd setup for the networking files.

resolv.conf had both domain and search keywords (I suspect this is a
more general problem).  It should only have search - domain is
deprecated.

/etc/hosts listed my own hostname as an alias for 127.0.0.1, which is
very wrong (and causes many applications to misbehave).  Furthermore,
it didn't list my own IP address anywhere.  I had to add it myself.

Ian.